Bug 605475 - Can't type word in chrome after backspace
Summary: Can't type word in chrome after backspace
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-pinyin   
(Show other bugs)
Version: 12
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 05:09 UTC by Caspar Zhang
Modified: 2013-07-03 07:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 02:24:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Caspar Zhang 2010-06-18 05:09:44 UTC
Description of problem:
In Chrome, after I pressed backspace or up/down/left/right key, I can't type any words
in text field, unless I press "shift" to turn ibus-pinyin to English mode or turn off the 
IME then switch on again. This problem appears only in Google Chrome, I haven't
seen it in other applications.

Version-Release number of selected component (if applicable):
ibus-devel-1.3.3-1.fc12.i686
ibus-libs-1.3.3-1.fc12.i686
ibus-pinyin-db-open-phrase-1.3.6-1.fc12.noarch
ibus-gtk-1.3.3-1.fc12.i686
ibus-pinyin-1.3.6-1.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. Open Google Chrome and a website(such as google.com), turn on ibus-pinyin, type some words in text field.
2. press "backspace" or left key
3. try to type a word again.
 
Actual results:
Can't type words

Expected results:
It should be able to type words normally.

Additional info:

Comment 1 Peng Huang 2010-06-18 07:57:59 UTC
This problem has been fixed in upstream. I will build it soon.
BTW, the beta chrome browser does not have this problem.

Comment 2 Peng Wu 2010-07-23 02:24:48 UTC
ibus 1.3.9 is released for Fedora 12/13, please upgrade ibus-pinyin and ibus.
This issue seems fixed.
Close bug.


Note You need to log in before you can comment on or make changes to this bug.